Starting downloads crashes DEP always

Author Message
Raithe 02/07/2005 02:47 am
Okay,
Just downloaded and installed Download Express, but I can`t get it to work. Here`s the breakdown
Options & Project List windows are fine. options save, etc
Download rediretion (via Firefox plugin) will not work. Firefox downloads the file in its built in manager, and it never even gets the the project list. Ditto for the right click option.
Links added via clipboard or manually thru the Add Job funtion are set in the Project list correctly, however when started by any means, the main program crashes during load (I never see the window) and I get the following dump message.

Exception EAccess Violation in Module DEP.EXE at 0005703E.
Access violation at address 0045703E in module `DEP.EXE` Read of address FFFFFFF.

I thought this might be a bug in the latest Beta release so I uninstalled, & got the last stable build.
Same exact problem. Here is its dump.

Exception EAccess Violation in Module DEP.EXE at 000588AF.
Access violation at address 0045703E in module `DEP.EXE` Read of address FFFFFFF.

System Info
OS - WinME last developer build.
Proc - AMD K62 @ 500mhz
Ram - 512MB ECC
Firefox build 0.9.2

Hope you can find what causes this. This looks to be the first DM I`d actually be willing to register since Net Vampire. (Its just too old for the modern PHP BS)

The only thing I see that I don`t like is there`s no way to set the threads in the Project Manager.
(I down a lot from several sites than ban for the use of download accellerators but not for managers)
Well thanks in advance for the help.
I`ll be standing by.
Jack


Alexander 02/07/2005 04:25 am
Raithe,

Thank you for writing us.

> Download rediretion (via Firefox plugin) will not work. Firefox downloads the file in its built
> in manager, and it never even gets the the project list. Ditto for the right click option.

So, FireFox do not have "Download using Download Express" item in its Opening dialog?

> Links added via clipboard or manually thru the Add Job funtion are set in the Project list
> correctly, however when started by any means, the main program crashes during load
> (I never see the window) and I get the following dump message.
>
> Exception EAccess Violation in Module DEP.EXE at 0005703E.
> Access violation at address 0045703E in module `DEP.EXE` Read of address FFFFFFF.
>
> I thought this might be a bug in the latest Beta release so I uninstalled, & got the last stable build.
> Same exact problem. Here is its dump.
>
> Exception EAccess Violation in Module DEP.EXE at 000588AF.
> Access violation at address 0045703E in module `DEP.EXE` Read of address FFFFFFF.
>
> System Info
> OS - WinME last developer build.
> Proc - AMD K62 @ 500mhz
> Ram - 512MB ECC
> Firefox build 0.9.2

Thank you for your information.
We will fix this problem in the nearest build (we plan to release Download Express 1.7 in a couple of weeks.)

> Hope you can find what causes this. This looks to be the first DM I`d actually be willing to
> register since Net Vampire. (Its just too old for the modern PHP BS)
>
> The only thing I see that I don`t like is there`s no way to set the threads in the Project Manager.
> (I down a lot from several sites than ban for the use of download accellerators but not
> for managers)

Projects List version 1.7 has the Options button.

Best regards,
Alexander Bednyakov
MP Staff
Raithe 02/08/2005 12:11 am
Thanks for the super speedy response.
> > So, FireFox do not have "Download using Download Express" item in its Opening dialog?
No, the dialog is present in both the right click menu and the save dialog. It just doesn`t do anything, Firefox always takes the download anyway. I`ll try it with the "Download With" plugin, I see it has an option for DEP, ........ Hmmm now that I look at it that plugin was active yesterday also. I wonder if they conflict? I`ll check and post again if I can confirm it.
Raithe 02/08/2005 12:45 am
OK, reinstalled the plugin and DEP and I have confirmation.
The DEP plugin WILL NOT coexist with the "Download With 0.0.7" Plugin. Both send the link to DEP correctly (at least I get the access violation error in DEP.EXE) if only one is active. Somebody who can run DEP should test this to make sure. But I`m guessing they probably use the same method to parse and override each other.

Therefore I`d reccommend putting some kind of warning in the description of your plugin on the download page, for those who already have Download With. Since they both work I`d personnally reccomend Download With to anyone who uses a lot of Torrents, as it supports those as well. If you`d care to compare code to isolate the problem, the plugin can be found on the default Firefox Extensions page.

Well happy to hear the showstopper bug will be fixed. I`ll keep checking back for the update.
Thanks again for the friendly and fast response. It`s good to see there`s still programmers who care about us crusty 9x users with old hardware. Especially in these days of "Dude, just drop $3,000 bucks on a new system like me." idiots who seem to think the rest of the world is rolling in cash.
Have a good day.
Jack.
Alexander 02/08/2005 02:38 am
Jack,

Thank you for your information.
Could you please make the Download Express log file for us?
I will send you necessary instructions by email.

Thanks,
Alexander
Defenestration 02/08/2005 03:37 am
I am successfully running FF 1.0 with both DownloadWith and MetaProducts DE Integration extension with no conflicts. I noticed you you are running FF 0.9.2. Is there any reason you are not running FF 1.0 ?

Also, make sure you install the extension under the user account you wish to use it with (even if it`s a limited account).
Raithe 02/08/2005 07:34 am
> I am successfully running FF 1.0 with both DownloadWith and MetaProducts DE Integration extension with no conflicts. I noticed you you are running FF 0.9.2. Is there any reason you are not running FF 1.0 ?
> > Also, make sure you install the extension under the user account you wish to use it with (even if it`s a limited account).

No reason in particular. I just tend to lag a bit in updating to soft with a lot of addons or plugins, to give them a chance to catch up to the new version.
Are you refferring to a windows or firefox user account? I`m the only one who uses my box, so I never use accounts unless they`re enabled by default and I miss them. Thanks for the help though.
Defenestration 02/08/2005 11:05 am
I mean Windows user account. That`s obviously not the problem though.

I would suggest trying FF 1.0 to see if that helps. I am about to completely re-install my system (XP Home SP2) so I`ll see if I get any problems. If I don`t then it`s very possible that ME has something to do with the problem.

BTW, which plugin did you install first ?